Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request DELETE \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/cart/{cart_uuid}/lines/{cartLine_uuid} \
--header 'Authorization: Bearer <token>'{
"data": {
"uuid": "60ef6641-a09a-3c28-b1ab-03e194dab20f",
"total": {
"currency": "USD",
"amount": "5196.00",
"amount_minor": 519600
},
"sub_total": {
"currency": "USD",
"amount": "5196.00",
"amount_minor": 519600
},
"tax_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"credits_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"remaining_total": {
"currency": "USD",
"amount": "5196.00",
"amount_minor": 519600
},
"credits_eligible_amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total_before_tax": {
"currency": "USD",
"amount": "5196.00",
"amount_minor": 519600
},
"tax_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Tax",
"name": "some-tax",
"rate": 10,
"calculator_type": "percent"
}
],
"discount_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Discount",
"name": "some-discount",
"rate": 10,
"calculator_type": "percent"
}
],
"expires_at": "2026-03-03T14:25:29.0000000+00:00"
}
}Remove a Cart Line.
curl --request DELETE \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/cart/{cart_uuid}/lines/{cartLine_uuid} \
--header 'Authorization: Bearer <token>'{
"data": {
"uuid": "60ef6641-a09a-3c28-b1ab-03e194dab20f",
"total": {
"currency": "USD",
"amount": "5196.00",
"amount_minor": 519600
},
"sub_total": {
"currency": "USD",
"amount": "5196.00",
"amount_minor": 519600
},
"tax_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"credits_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"remaining_total": {
"currency": "USD",
"amount": "5196.00",
"amount_minor": 519600
},
"credits_eligible_amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total_before_tax": {
"currency": "USD",
"amount": "5196.00",
"amount_minor": 519600
},
"tax_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Tax",
"name": "some-tax",
"rate": 10,
"calculator_type": "percent"
}
],
"discount_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Discount",
"name": "some-discount",
"rate": 10,
"calculator_type": "percent"
}
],
"expires_at": "2026-03-03T14:25:29.0000000+00:00"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the user.
Show child attributes